/* 
 * Copyright (C) 2001 Jan Outrata <outrataj@phoenix.inf.upol.cz>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __SCREEN_H__
#define __SCREEN_H__

#define SCREEN_WIDTH 100
#define SCREEN_HEIGHT 100

extern long int **screen_buffer;

int
screen_buffer_init();

void
screen_buffer_fini();

void
screen_buffer_clear(long int c);

long int
rgb(unsigned char r, unsigned char g, unsigned char b);

void
unrgb(long int c, unsigned char *r, unsigned char *g, unsigned char *b);

int
check_screen_coords(int x, int y);

#endif
